Get a factory by address hash
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/factories/{address_hash_param} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/factories/{address_hash_param}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/factories/{address_hash_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"total_accounts": 1
}{
"message": "Invalid request"
}{
"message": "Resource not found"
}{
"message": "Feature not implemented"
}account-abstraction
Get a factory by address hash
Retrieves a factory by its address hash.
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
factories
/
{address_hash_param}
Get a factory by address hash
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Address hash in the path
Pattern:
^0x([A-Fa-f0-9]{40})$The ID of the blockchain
Was this page helpful?
⌘I